Subject: bug#55040: 29.0.50; Auto-indent-mode and Changelog Messages

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Apr 2022 21:31:20 +0300

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 20 Apr 2022 17:42:02 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> 1. Start emacs -Q
> >> 2. Open any versioned file
> >> 3. Make any modification
> >> 4. Prepare a commit using C-x v v
> >> 5. Go to the commit body and insert ChangeLog template
> >> 6. Ensure that auto-fill-mode is enabled in the buffer
> >> 7. Type anything until the fill-column is reached
> >> 
> >> I did 7. by just repeating the word "word", and after a short while it
> >> auto-filled the line and the text appeared formatted as described above.
> >
> > Can you elaborate on Step 5?  I don't think I understand what I'm
> > supposed to do there.
> 
> This should be enough:
> 
> * M->           (end-of-buffer)
> * C-c C-w       (log-edit-generate-changelog-from-diff)

Ah, okay.  I see it now.  I guess it's some difference between
change-log-mode and log-edit-mode wrt filling and indenting.
Something to fix, I think.